List snapshots
curl --request GET \
--url https://api.cloud.onidel.com/snapshots \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloud.onidel.com/snapshots"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloud.onidel.com/snapshots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "c1d45377-b2a9-4407-ab8d-6909c34dfaac",
"created_at": "2025-01-05T13:00:20.010Z",
"name": "vm-snapshot-name",
"desc": "snapshot @ 20/09/2025",
"size": 20
}
]Snapshots
List snapshots
List snapshots available to the user
GET
/
snapshots
List snapshots
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful operation
Example:
"c1d45377-b2a9-4407-ab8d-6909c34dfaac"
Example:
"2025-01-05T13:00:20.010Z"
Example:
"vm-snapshot-name"
Example:
"snapshot @ 20/09/2025"
Example:
20
Available options:
available, pending ⌘I